Search Unity

  1. Unity 2019.2 is now released.
    Dismiss Notice

(Case 1196220) Installing 2D Game Kit from the Hub is problematic

Discussion in 'Unity Hub' started by APSchmidt, Nov 2, 2019.

  1. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    2,712
    I just installed the 2D Game Kit from Learn within the Hub. The Hub stopped right before creating the project because I didn't have the "right" version of Unity installed. A message popped up about that but I wasn't able to read what version was needed because it didn't display long enough.

    Nevertheless, the Hub had dowloaded the package in "C:\Users\Username\AppData\Roaming\Unity\Asset Store-5.x\Unity Technologies\Project" and I was able to create a new project in 2019.2.11f1 and eventually import it.

    It is clearly stated on the tutorial page that 2019.2 is one of the needed versions; I do have a 2019.2 version of Unity installed, the Hub should have imported the project into that version.

    2D Game Kit tutorial: https://learn.unity.com/project/2d-game-kit
     
  2. safaGH

    safaGH

    Unity Technologies

    Joined:
    Mar 12, 2019
    Posts:
    147
    Hello @APSchmidt,
    This is definitely a bug, can you please send a bug report and we will list it to be fixed in our backlog :) Thank you !
     
  3. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    2,712
    Report sent. I think I know what happened; I also have a 2020.1 version of Unity installed, the Hub may have spotted that version and not 2019.2.11f1 since, if you don't choose what version of Unity will be used when you create a new project, this project will be created in the most recent version of Unity, here 2020.1.0a11.

    Capture.JPG
     
    Last edited: Nov 4, 2019
    safaGH likes this.
  4. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    2,712
    The bug reporter needs to be fixed. I put a title in the proper slot but the title of the bug report is the beginning of the description I entered in "What happened?".

    Case 1196220
     
    safaGH likes this.
  5. safaGH

    safaGH

    Unity Technologies

    Joined:
    Mar 12, 2019
    Posts:
    147
    Thank you ! We will look into it :)
     
  6. APSchmidt

    APSchmidt

    Joined:
    Aug 8, 2016
    Posts:
    2,712
    Like I suspected, the person who answered my case says it cannot be reproduced. I noticed that I had forgot to mention that only 2019.2.11f1 must be installed alongside 2020.1.0a11, that no other 2019.2 version must be installed otherwise trying to reproduce the problem will most probably fail.

    I send an answer with the following new instructions:.
    1. make sure you have 2019.2.11f1 installed and only that version of 2019.2,
    2. make sure you have any version of 2020.1 installed,
    3. open the Hub, go to Learn, locate the 2D Game Kit,
    4. try importing the project.
     
    Last edited: Nov 6, 2019